/*
 * $Id: TemplateException.java,v 1.3 2005/07/28 15:48:14 sugimotokenichi Exp $
 * Copyright (C) 2005 SUGIMOTO Ken-ichi
 * 作成日: 2005/07/24
 */
package feat.v1;

/**
 * テンプレートの処理で起こった例外。
 * @author SUGIMOTO Ken-ichi
 */
public class TemplateException extends Exception {

    /**
     *
     */
    public TemplateException() {
        super();
    }

    /**
     * @param message
     */
    public TemplateException(String message) {
        super(message);
    }

    /**
     * @param cause
     */
    public TemplateException(Throwable cause) {
        super(cause);
    }

    /**
     * @param message
     * @param cause
     */
    public TemplateException(String message, Throwable cause) {
        super(message, cause);
    }

}
